Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynAny::TypeMismatch Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynAny::TypeMismatch:

[legend]
Collaboration diagram for DynamicAny::DynAny::TypeMismatch:

[legend]
List of all members.

## Public Methods
| TypeMismatch (void)
| TypeMismatch (const TypeMismatch &)
| ~TypeMismatch (void)
TypeMismatch & | operator= (const TypeMismatch &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
## Static Public Methods
TypeMismatch * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

DynamicAny::DynAny::TypeMismatch::TypeMismatch | ( | void |  | ) |

DynamicAny::DynAny::TypeMismatch::TypeMismatch | ( | const TypeMismatch & |  | ) |

DynamicAny::DynAny::TypeMismatch::~TypeMismatch | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * DynamicAny::DynAny::TypeMismatch::_alloc | ( | void |  | ) | `[static]`

DynamicAny::DynAny::TypeMismatch * DynamicAny::DynAny::TypeMismatch::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void DynamicAny::DynAny::TypeMismatch::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void DynamicAny::DynAny::TypeMismatch::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * DynamicAny::DynAny::TypeMismatch::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void DynamicAny::DynAny::TypeMismatch::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

TypeMismatch& DynamicAny::DynAny::TypeMismatch::operator= | ( | const TypeMismatch & |  | ) |

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp